Table
/api/v3/configure/tableCreate a table
Request body required
application/jsondb
required
stringfields
required
object[]name
required
stringtype
required
stringutf8
, int64
, uint64
, float64
, boolretention_period
string"30d"table
required
stringtags
required
string[]curl --request POST \
"https://cluster-host.a.influxdb.io/api/v3/configure/table" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json" \
--data-raw '{
"db": "DB",
"fields": [
{
"name": "NAME",
"type": "utf8"
}
],
"retention_period": "30d",
"table": "TABLE",
"tags": [
"TAGS"
]
}'Responses
data
objecterror
string/api/v3/configure/tableDelete a table
Soft deletes a table.
The table is scheduled for deletion and unavailable for querying.
Use the hard_delete_at parameter to schedule a hard deletion.
Use the data_only parameter to delete data while preserving the table schema and resources.
Deleting a table cannot be undone
Deleting a table is a destructive action. Once a table is deleted, data stored in that table cannot be recovered.
Parameters
Query parameters
db
required
stringtable
required
stringdata_only
booleanfalse (default), the entire table is deleted.hard_delete_at
string <date-time>Schedule the table for hard deletion at the specified time. If not provided, the table will be soft deleted. Use ISO 8601 format (for example, “2025-12-31T23:59:59Z”).
Also accepts special string values:
now— hard delete immediatelynever— soft delete only (default behavior)default— use the system default hard deletion time
curl --request DELETE \
"https://cluster-host.a.influxdb.io/api/v3/configure/table?db=DB&table=TABLE" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
data
objecterror
stringWas this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB 3 Cloud and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.